Page MenuHomePhabricator

Redirect wdq.wmflabs.org to query.wikidata.org
Closed, ResolvedPublic

Description

http://wdq.wmflabs.org/ has been down for a while and replaced with the query engine. Please add a rewrite rule forwarding anything http://wdq.wmflabs.org/* with a 301 to https://query.wikidata.org/ . Examples:

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2017, 3:38 PM
bd808 added a subscriber: bd808.Jul 4 2017, 10:12 PM

https://wikitech.wikimedia.org/wiki/Nova_Resource:Redirects is the easy way to do this.

I have done the needed Heira config change documented there:

$ curl -v -H 'Host: wdq.wmflabs.org' 127.0.0.1
* Rebuilt URL to: 127.0.0.1/
* Hostname was NOT found in DNS cache
*   Trying 127.0.0.1...
* Connected to 127.0.0.1 (127.0.0.1) port 80 (#0)
> GET / HTTP/1.1
> User-Agent: curl/7.38.0
> Accept: */*
> Host: wdq.wmflabs.org
>
< HTTP/1.1 301 Moved Permanently
* Server nginx/1.10.0 is not blacklisted
< Server: nginx/1.10.0
< Date: Tue, 04 Jul 2017 22:05:18 GMT
< Content-Type: text/html
< Content-Length: 185
< Connection: keep-alive
< Location: https://query.wikidata.org/
<
<html>
<head><title>301 Moved Permanently</title></head>
<body bgcolor="white">
<center><h1>301 Moved Permanently</h1></center>
<hr><center>nginx/1.10.0</center>
</body>
</html>

What is needed now is to remove the proxy from the wdq-mm project and add it to the redirects project.

One difference from the description is that the URL rewriting done by the redirects project keeps the URL path and query parameters, so https://wdq.wmflabs.org/somereallycoolqueryurlsomething will redirect to https://query.wikidata.org/somereallycoolqueryurlsomething

chasemp added a subscriber: chasemp.Jul 5 2017, 7:06 PM

@bd808 thank you!

What is needed now is to remove the proxy from the wdq-mm project and add it to the redirects project.

@Multichill is this something you can handle?

One difference from the description is that the URL rewriting done by the redirects project keeps the URL path and query parameters, so https://wdq.wmflabs.org/somereallycoolqueryurlsomething will redirect to https://query.wikidata.org/somereallycoolqueryurlsomething

@Multichill fyi on this portion

@Magnus can you do the horizon steps?

Mentioned in SAL (#wikimedia-cloud) [2017-07-12T16:25:52Z] <bd808> Added BryanDavis (self) as admin to work on T169653

Mentioned in SAL (#wikimedia-cloud) [2017-07-12T16:27:23Z] <bd808> Deleted wdq.wmflabs.org proxy for T169653

Mentioned in SAL (#wikimedia-cloud) [2017-07-12T16:28:16Z] <bd808> added wdq.wmflabs.org proxy for T169653

bd808 added a comment.Jul 12 2017, 4:29 PM
$ curl -v https://wdq.wmflabs.org/
*   Trying 208.80.155.156...
* TCP_NODELAY set
* Connected to wdq.wmflabs.org (208.80.155.156) port 443 (#0)
* TLS 1.2 connection using TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA
* Server certificate: *.wmflabs.org
* Server certificate: GlobalSign Organization Validation CA - SHA256 - G2
* Server certificate: GlobalSign
> GET / HTTP/1.1
> Host: wdq.wmflabs.org
> User-Agent: curl/7.54.0
> Accept: */*
>
< HTTP/1.1 301 Moved Permanently
< Server: nginx/1.11.3
< Date: Wed, 12 Jul 2017 16:29:23 GMT
< Content-Type: text/html
< Content-Length: 185
< Connection: keep-alive
< Location: https://query.wikidata.org/
< X-Clacks-Overhead: GNU Terry Pratchett
<
<html>
<head><title>301 Moved Permanently</title></head>
<body bgcolor="white">
<center><h1>301 Moved Permanently</h1></center>
<hr><center>nginx/1.10.0</center>
</body>
</html>
* Connection #0 to host wdq.wmflabs.org left intact

Mentioned in SAL (#wikimedia-cloud) [2017-07-12T16:31:14Z] <bd808> Removed BryanDavis (self) from project. T169653 complete

bd808 closed this task as Resolved.Jul 12 2017, 4:32 PM
bd808 claimed this task.
Restricted Application added a project: User-bd808. · View Herald TranscriptJul 12 2017, 4:32 PM

I have removed the webproxy and the instance from the wdq project.

Thanks Bryan!